Bug 723 - error in lpr manual page: lpr -r -s no longer works
error in lpr manual page: lpr -r -s no longer works
Status: CLOSED DUPLICATE of bug 717
Product: Red Hat Linux
Classification: Retired
Component: lpr (Show other bugs)
5.2
All Linux
low Severity low
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-01-06 23:30 EST by Jay Berkenbilt
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-01-07 08:04:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Berkenbilt 1999-01-06 23:30:33 EST
lpr -r -s file no longer causes deletion of file from the
queue.  The reason for this is that the code that was
responsible for this behavior has been disabled since it
also made lpd vulnerable to exploit by a remote user who
could cause any file on the print server to be deleted.
This is probably the same case as the most recent CERT
advisory on BSD line printing daemon.  Unfortuantely, I
wasted a day rediscovering this myself. :-(  See bug 717
(which is now obsolete and should be cancelled) for
details.  That bug includes a patch to restore lpr -r -s
functionality, but that patch re-introduces this security
hole into lpd.
Comment 1 Jeff Johnson 1999-01-07 08:04:59 EST
*** This bug has been marked as a duplicate of 717 ***

Note You need to log in before you can comment on or make changes to this bug.